Contents

GET /aml/$OFFICER_PUB/legitimizations#

Enables AML staff to see which legitimizations are pending or have been completed. returns a list of active or finished legitimization measures (by account).

This endpoint was introduced in protocol v23.

Request:

Taler-AML-Officer-Signature:

The client must provide Base-32 encoded EdDSA signature with $OFFICER_PRIV, affirming the desire to obtain AML data. Note that this is merely a simple authentication mechanism, the details of the request are not protected by the signature.

Query Parameters:
  • limitOptional. takes value of the form N (-N), so that at most N values strictly older (younger) than start are returned. Defaults to -20 to return the last 20 entries (before start).

  • offsetOptional. Row number threshold, see limit for its interpretation. Defaults to INT64_MAX, namely the biggest row id possible in the database.

  • h_paytoOptional. Account selector using the normalized payto URI. All matching accounts are returned if this filter is absent, otherwise only decisions for this account.

  • activeOptional. If set to yes, only return active decisions, if no only decisions that have been superseded. Do not give (or use “all”) to see all decisions regardless of activity status.

Response:

200 Ok:

Information about possible measures is returned in a LegitimizationMeasuresList object.

Details:

interface LegitimizationMeasuresList {

  // Legitimization measures.
  measures: LegitimizationMeasureDetails[];

}
interface LegitimizationMeasureDetails {

  // Hash of the normalized payto:// URI of the account the
  // measure applies to.
  h_payto: HashCode;

  // Row of the measure in the exchange database.
  rowid: Integer;

  // When was the measure started?
  start_time: Timestamp;

  // The the actual measures.
  measures: LegitimizationMeasures;

  // Was this measure finished by the customer?
  is_finished: boolean;

}